summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2015-11-25 11:29:56 +0100
committerGilles Dartiguelongue <eva@gentoo.org>2015-11-26 11:50:45 +0100
commit946461a6b7e3d40f0a7a5dad217744b8d7311fa4 (patch)
treef714518e7b127c332ceaefa6f776ba8e154cfea6 /dev-cpp/cairomm/cairomm-1.12.0-r1.ebuild
parentdev-cpp/gtkmm: drop old revision (diff)
downloadgentoo-946461a6b7e3d40f0a7a5dad217744b8d7311fa4.tar.gz
gentoo-946461a6b7e3d40f0a7a5dad217744b8d7311fa4.tar.bz2
gentoo-946461a6b7e3d40f0a7a5dad217744b8d7311fa4.zip
dev-cpp/cairomm: fix automagic dependency on cairo libs
configure checks for various features of cairo to enable cairomm counterparts. Use flags and their defaults must be kept in sync to avoid broken setup when cairo configuration changes but not cairomm. Package-Manager: portage-2.2.25
Diffstat (limited to 'dev-cpp/cairomm/cairomm-1.12.0-r1.ebuild')
-rw-r--r--dev-cpp/cairomm/cairomm-1.12.0-r1.ebuild49
1 files changed, 49 insertions, 0 deletions
diff --git a/dev-cpp/cairomm/cairomm-1.12.0-r1.ebuild b/dev-cpp/cairomm/cairomm-1.12.0-r1.ebuild
new file mode 100644
index 00000000000..cc7d1f01fb3
--- /dev/null
+++ b/dev-cpp/cairomm/cairomm-1.12.0-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+GCONF_DEBUG="no"
+
+inherit gnome2 multilib-minimal
+
+DESCRIPTION="C++ bindings for the Cairo vector graphics library"
+HOMEPAGE="http://cairographics.org/cairomm"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+IUSE="aqua doc +svg X"
+
+RDEPEND="
+ >=x11-libs/cairo-1.12.10[aqua=,svg=,X=,${MULTILIB_USEDEP}]
+ >=dev-libs/libsigc++-2.5.1:2[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? (
+ app-doc/doxygen
+ dev-libs/libxslt
+ media-gfx/graphviz )
+"
+
+src_prepare() {
+ # don't waste time building examples because they are marked as "noinst"
+ sed -i 's/^\(SUBDIRS =.*\)examples\(.*\)$/\1\2/' Makefile.in || die
+
+ # don't waste time building tests
+ # they require the boost Unit Testing framework, that's not in base boost
+ sed -i 's/^\(SUBDIRS =.*\)tests\(.*\)$/\1\2/' Makefile.in || die
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" gnome2_src_configure \
+ --disable-tests \
+ $(multilib_native_use_enable doc documentation)
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}